.tile {
    position: relative;
    box-shadow: 0 0.2rem 0.3rem 0 $color-shadow;
    background-color: $color-background;

    &.disabled .cover, &.selected .cover {
        display: block;
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        transition: background-color 0.2s ease-out;
    }

    &.selected .cover {
        background-color: $color-background-selected;
    }

    &.disabled .cover {
        background-color: $color-background-darkest;
    }

    &.alert {
        color: white;
        background-color: $color-background-alert;
    }

    &.success {
        color: white;
        background-color: $color-background-success;
    }
}
